Public Member Functions

# CapacityAnnotation::comp Struct Reference

## Public Member Functions
bool | operator() (const CapacityAnnotation *x, const CapacityAnnotation *y) const
| Compare two capacity annotations.

## Detailed Description

Definition at line 58 of file mcf.h.

## Member Function Documentation

bool CapacityAnnotation::comp::operator() | ( | const CapacityAnnotation * | x,
|  | const CapacityAnnotation * | y |
| ) |  |  | const

Compare two capacity annotations.

Parameters:

  | x | the first capacity annotation
  | y | the second capacity annotation

Returns:
  if x is better than y

Definition at line 409 of file mcf.cpp.

References CapacityAnnotation::GetAnnotation(), and Path::GetNode().

The documentation for this struct was generated from the following files:

- src/linkgraph/mcf.h
- src/linkgraph/mcf.cpp